#
# spec file for package gnome-maps
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-maps
Version:        3.20.3.1
# FIXME - On next version update, please remove the sed hack.
Release:        2.2
Summary:        MAP Application for GNOME 3 
License:        GPL-2.0+
Group:          Productivity/Other
Url:            https://live.gnome.org/Design/Apps/Maps
Source:         http://download.gnome.org/sources/gnome-maps/3.20/%{name}-%{version}.tar.xz
# Needed for typelib() Requires
BuildRequires:  gobject-introspection
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool >= 0.40.0
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(champlain-0.12) >= 0.12.13
BuildRequires:  pkgconfig(folks) >= 0.10.0
BuildRequires:  pkgconfig(gee-0.8) >= 0.16.0
BuildRequires:  pkgconfig(geoclue-2.0) >= 0.12.99
BuildRequires:  pkgconfig(geocode-glib-1.0) >= 3.15.2
BuildRequires:  pkgconfig(gio-2.0) >= 2.39.3
BuildRequires:  pkgconfig(gjs-1.0) >= 1.44.0
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 0.10.1
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.15.9
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(rest-0.7)

Recommends:     dbus(org.freedesktop.GeoClue2)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
Maps is a map application for GNOME 3.

%lang_package
%prep
%setup -q

%build
# Use sed to fix errounus bump of libchamplain
sed -i "s:CHAMPLAIN_MIN_VERSION=0.12.14:CHAMPLAIN_MIN_VERSION=0.12.13:g" configure
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot}%{_libdir} -name '*.la' -delete -print
%find_lang %{name} %{?no_lang_C}
%suse_update_desktop_file -G "Maps Application" org.gnome.Maps DesktopUtility
# There is no devel file, so at this moment also no need to keep
rm %{buildroot}%{_datadir}/gir-1.0/GnomeMaps-1.0.gir

%post
%glib2_gsettings_schema_post
%icon_theme_cache_post
%desktop_database_post

%postun
%glib2_gsettings_schema_postun
%icon_theme_cache_postun
%desktop_database_postun

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%dir %{_datadir}/appdata
%{_datadir}/appdata/org.gnome.Maps.appdata.xml
%{_datadir}/applications/org.gnome.Maps.desktop
%{_datadir}/dbus-1/services/org.gnome.Maps.service
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/org.gnome.Maps*
%{_datadir}/glib-2.0/schemas/org.gnome.Maps.gschema.xml
%{_libdir}/%{name}/

%files lang -f %{name}.lang

%changelog
* Thu Sep  1 2016 zaitor@opensuse.org
- Update to version 3.20.3.1 (boo#995112):
  + Fix bug where you could not type + or - in the searchbar.
  + Fix horizontal wrapping of the map.
- Use sed to revert libchamplain version bump, upstream did not
  intend to bump.
* Thu Aug 25 2016 badshah400@gmail.com
- Update to version 3.20.3 (boo#995112):
  + Download a service.json file to get tile server URI among
    other things.
  + Use GtkClutter for the attribution logo, to get transparency.
* Sun Jul 31 2016 zaitor@opensuse.org
- Update to version 3.20.2:
  + Change tile URIs to use Mapbox, through proxy.
  + Fix escaping of tel: URIs.
  + Adapt colors of instuction when printing routes.
  + Updated translations.
* Tue Apr 12 2016 zaitor@opensuse.org
- Update to version 3.20.1:
  + Bump dependencies on libchamplain and gjs.
  + Fix memory leak in osmEdit.
  + Updated translations.
* Mon Mar 21 2016 dimstar@opensuse.org
- Update to version 3.20.0:
  + Fix marking of translatable strings.
  + Updated translations.
* Tue Mar 15 2016 dimstar@opensuse.org
- Update to version 3.19.92:
  + Rework geoclue interaction.
  + Ellipsize route instructions in print layout.
  + Add 'aeroway' type to OSM editing.
  + Make auto-complete accent insensitive.
  + Updated translations.
* Tue Mar  1 2016 dimstar@opensuse.org
- Update to version 3.19.91:
  + Handle case when nothing was found when reverse geocoding
    through context menu.
  + Make sure we validate bounding boxes from geoJSON layer.
  + Add markers to route when printing.
  + Add via points to route when printing.
  + Add ability to add and edit addresses on OpenStreetMap.
  + Allow Maps to shrink more by not using a fixed width for the
    searchbar.
  + Add tooltip to icon next to route entry to help discoverbility
    of drag and drop re-oredering.
  + Updated translations.
* Tue Feb 16 2016 zaitor@opensuse.org
- Update to version 3.19.90:
  + Added icon to toggle visibility of a shape layer.
  + Improve travel animations.
  + Add a scale ruler to the bottom left corner.
  + Include less information by default in map bubbles.
  + Add expandable area on map bubbles.
  + Add context menu item for adding location to OpenStreetMap.
  + Enable editting of opening hours on OpenStreetMap.
  + Add internet access tag to map bubbles.
  + Add ele altitude tag to map bubbles.
  + Add website to map bubbles.
  + Add phone nunber to map bubbles.
  + Add support for KML and GPX shape files.
  + Add support for printing a route with instructions.
  + Updated translations.
* Tue Jan 19 2016 dimstar@opensuse.org
- Update to version 3.19.4:
  + Addded a keybinding help overlay (F1 to activate).
  + Fix zoom behaviour to be more aggresive.
  + Fix bug with cancel login in OpenStreetMap account dialog.
  + Add keyboard shortcut for going to current location
    (<Primary>L).
  + Fix layout of OpenStreetMap edit.
  + Fix bug that made it impossible to sign-in to OpenStreetMap if
    you first inputed the wrong credentials.
  + Fix drag-and-drop to be more acceptive and responsive.
  + Make sure we can export our markers to PNG.
  + Give user the choice of exporting markers or not.
  + Add GUI for loading and managing shape layers such as GeoJSON
    or in the future(?) KML.
  + Add roundabout support to route.
  + Use a regular GtkButton for marking favorites.
  + Updated translations.
* Sun Dec 20 2015 zaitor@opensuse.org
- Update to version 3.19.3:
  + Added export to image to context menu.
  + Added support for MultiPoint in GeoJSON.
  + Fixed bug in send-to-dialog when default browser has no icon.
  + Added support for MapBox simplestyle for GeoJSON.
  + Added support for editing locations in OpenStreetMap.
  + Updated translations.
- Add pkgconfig(rest-0.7) and pkgconfig(libxml-0.2) BuildRequires:
  New dependencies.
* Tue Nov 24 2015 zaitor@opensuse.org
- Update to version 3.19.2:
  + Fix GeoJSON filling of polygons in polygons.
  + Add simpler keyboard shortcuts for zoom.
  + Fix width of send-to dialog.
  + Add open with browser to send-to dialog that will open a
    location on OpenStreetMap web.
  + Handle the 'geo' URI scheme, this will allow us to handle geu:
    URIs in for instance the browser or in Polari.
  + Go to latest visited view on start up.
  + Updated translations.
- Changes from version 3.19.1:
  + Use new convenience library for GeoClue.
  + Add support for opening and displaying GeoJSON files.
  - https://en.wikipedia.org/wiki/GeoJSON
  - This is with help of the Mapbox geojson-vt javascript code
    found at: https://github.com/mapbox/geojson-vt
  + Updated translations.
* Mon Nov  9 2015 zaitor@opensuse.org
- Update to version 3.18.2:
  + Fix bugs in contact address lookup:
  - No more warnings if address has no street address.
  - Do not attempt to classify type of address if only one(1).
  + Make sure the bounding box of a geocoded places is valid before
    using.
  + Make sure send-to-dialog has usable width.
  + Updated translations.
* Sat Oct 10 2015 zaitor@opensuse.org
- Update to version 3.18.1:
  + Fix bugs in zooming to a location or contact.
  + Fix styling of dialog header buttons.
  + Updated translations.
* Fri Sep 25 2015 zaitor@opensuse.org
- Update to version 3.18.0.1:
  + Fix bug that prevented Maps from launching.
  + Updated translations.
* Sun Sep 20 2015 zaitor@opensuse.org
- Update to version 3.18.0:
  + Updated translations.
* Wed Sep 16 2015 dimstar@opensuse.org
- Update to version 3.17.92:
  + Add --local switch to use local, offline, tiles from a
    structured directory.
  + Updated translations.
* Sun Aug 30 2015 zaitor@opensuse.org
- Update to version 3.17.91:
  + Fix memory leaks in contacts handling.
  + Make sure car routes gets correct icon.
  + Updated translations.
* Sat Aug 22 2015 zaitor@opensuse.org
- Update to version 3.17.90.1:
  + Fix up search popup list.
  + Fix storing of transportation type of route.
  + Some bugfixes.
  + Updated translations.
* Sun Aug 16 2015 zaitor@opensuse.org
- Update to version 3.17.90:
  + Add new user-location icon.
  + Add directional user-location icon.
  + Show heading from Geoclue.
  + Do not animate on 'what is here?'.
  + Add support for Geo URI (RFC5870) in searchbar.
  + Add 'Copy Geo URI' context menu item.
  + Store and complete against recent routes.
  + Updated translations.
* Tue May 12 2015 dimstar@opensuse.org
- Update to version 3.17.1:
  + Switch to template for more UI files.
  + Do not use intltool to translate GSettings schema.
  + Improve height of favorites popover.
* Tue May 12 2015 zaitor@opensuse.org
- Update to version 3.16.2:
  + Fix favorite popover size.
  + Updated translations.
* Wed Apr 15 2015 dimstar@opensuse.org
- Update to version 3.16.1:
  + Provide a symbolic variant of the app icon.
  + Add new appdata screenshots.
  + Updated translations.
* Mon Mar 23 2015 dimstar@opensuse.org
- Update to version 3.16.0:
  + Fix links for wikipedia.
  + Updated translations.
* Mon Mar 16 2015 dimstar@opensuse.org
- Update to version 3.15.92:
  + Use proper location instead of nearest city when sending
    location to Weather.
  + Fix bug with layer ordering that made it impossible to drag
    routes under accuracy circle.
  + Fix Clutter/GTK event re-entrant dead-lock on right click.
  + Updated translations.
* Sun Mar  1 2015 dimstar@opensuse.org
- Update to version 3.15.91:
  + Fix leak in libmaps geocode.
  + Only add contacts that properly geocode to a location.
  + Fix bug that fetched a route twice for each request.
  + Fix event handling of clutter and GTK+ that lead to deadlock
    and freeze when you clicked the map.
  + Fix being able to mark search results as favorites.
  + Updated translations.
- Add pkgconfig(geoclue-2.0) BuildRequires: new dependency.
- Drop gnome-maps-NULL-sentinels.patch: fixed upstream.
* Tue Feb 17 2015 dimstar@opensuse.org
- Update to version 3.15.90.2:
  + Fix build for clang/FreeBSD.
- Add gnome-maps-NULL-sentinels.patch: Fix missing NULL sentinels.
* Mon Feb 16 2015 dimstar@opensuse.org
- Update to version 3.15.90.1:
  + Install Maps C library into pkglibdir.
- Changes from version 3.15.90:
  + Show notification with link to privacy panel when location
    service is off.
  + Only show user location marker when location service is
    enabled.
  + Added a 'show-location' activation action, to show contacts in
    Maps.
  + Add contacts with geocodable addresses to the placeStore to
    allow completion in search.
  + Updated translations.
- Add pkgconfig(folks), pkgconfig(gee-0.8),
  pkgconfig(champlain-0.12) and pkgconfig(geocode-glib-1.0)
  BuildRequires: new dependencies.
* Fri Jan 16 2015 dimstar@opensuse.org
- Update to version 3.15.4:
  + Smarter filtering in favorites menu.
  + Make opening hours translatable.
  + Convert to "package.js" application convention.
  + Add runtime dependency checks.
  + Refresh place meta data if stale.
  + Switch to new full color mark-location icon.
  + Zoom in and center map marker on double-click.
  + Updated translations.
* Thu Dec 18 2014 zaitor@opensuse.org
- Update to version 3.15.3.1:
  + Use search popover for completion.
  + Updated translations.
* Wed Dec 17 2014 zaitor@opensuse.org
- Update to version 3.15.3:
  + Remove 'I am here' menu item from context menu.
  + Improve geoclue interaction somewhat.
  + Use Overpass API to add meta data to map bubbles.
  + Use HTTPS for GraphHopper service.
  + Add drag-n-drop to route entries.
  + Add check-in possibility to user location bubble
    (Facebook/Foursquare).
  + Updated translations.
* Sun Nov 30 2014 badshah400@gmail.com
- Update to version 3.15.2:
  + Use proper GtkButtons for zoom control.
  + Add a 'No network view' to show when Maps is disconnected.
  + Added <Ctrl-f> accelrator to grab focus on search.
  + Added <Ctrl-d> accelerator to open route planner.
  + Added route button to MapBubble.
  + Enable panning by keyboard.
  + Add extra info to search result bubbles:
  - Popuplation
  - Wikipedia
  - Opening hours
  - Wheelchair accesability.
  + Improve the UI of the search result popover.
  + Add 'share' button to MapBubbles to allow user to
    share location to weather and clocks.
  + Add favorites handling to main window and MapBubbles.
  + Updated translations.
* Tue Nov 11 2014 zaitor@opensuse.org
- Update to version 3.14.2:
  + Updated translations.
* Mon Oct 13 2014 zaitor@opensuse.org
- Update to version 3.14.1.2:
  + Fix typo in icon name.
- Changes from version 3.14.1.1:
  + Use symbolic icons in instruction list. This fixes scaling
    issues on Hi-DPI and recoloring.
  + Updated translations.
* Fri Oct 10 2014 dimstar@opensuse.org
- Update to version 3.14.1:
  + Fix issue where icons did not recolor on dark theme.
  + Updated translations.
* Tue Sep 23 2014 dimstar@opensuse.org
- Add gobject-introspection BuildRequires: enable detection of
  typelib()-Requires (bnc#897852).
* Mon Sep 22 2014 zaitor@opensuse.org
- Update to version 3.14.0:
  + Updated translations.
* Tue Sep 16 2014 zaitor@opensuse.org
- Update to version 3.13.92:
  + Improve sidebar alignments.
  + Fix default transportation mode bug.
  + Make coordinates in entry editable.
  + Do not forget route on sidebar hide.
  + Hopefully a fix for non-consistent build error.
  + Hopefully a fix for elusive segfault in sidebar.
  + Default focus on entry in sidebar reveal.
  + Fix for theme problem with instruction list.
  + Updated translations.
- Drop gnome-maps-parallelbuild.patch: fixed upstream.
* Sun Sep  7 2014 zaitor@opensuse.org
- Update to version 3.13.91:
  + Add high contrast icon of logo.
  + Use kinetic scroll mode.
  + Set correct desktopId for geoclue.
  + Send correct argv/argc to GApplication.
  + Fix bug where selecting from completion nullified placeEntry.
  + Add content rich map markers and map bubbles based on
    GtkPopover.
  + Add tooltips to GtkHeaderButtons.
  + Add support for via points in routing.
  + Updated translations.
* Sun Aug 24 2014 dimstar@opensuse.org
- Add gnome-maps-parallelbuild.patch: Fix rules used to make
  parallel build more reliable (bgo#734507).
* Sat Jul 19 2014 zaitor@opensuse.org
- Update to version 3.13.4:
  + Fix sidebar margin for LTR.
  + Updated translations.
* Sat Jul 12 2014 dimstar@opensuse.org
- Update to version 3.13.3:
  + Added sidebar for route searching.
  + Fix styling of popovers.
  + Fix cleanup for make dist.
  + Fixup AppData file.
- Changes from version 3.12.2:
  + New popover based UI for layers menu.
  + Added in app notifications.
  + Make clicking the map grab focus to be able to remove on-screen
    keyboard on tablets.
  + Maps now DBus activatable.
  + Handle GeoClue2 service not available.
  + Updated translations.
* Sat May 17 2014 zaitor@opensuse.org
- Update to version 3.12.2:
  + Updated translations.
* Tue Apr 15 2014 zaitor@opensuse.org
- Update to version 3.12.1:
  + Added padding to main window search entry.
  + Updated translations.
* Mon Mar 24 2014 zaitor@opensuse.org
- Update to version 3.12.0:
  + Updated translations.
* Tue Mar 18 2014 dimstar@opensuse.org
- Update to version 3.11.92:
  + Enable keyboard navigation in search results popover.
  + Make clicking the map grab focus and dismiss on screen
    keyboard.
  + Updated translations.
* Tue Mar  4 2014 dimstar@opensuse.org
- Update to version 3.11.91:
  + Update about dialog.
  + Fix a bug that could put Maps in an endless loop.
  + Fix a 'make distcheck' bug.
  + Use markup for superscripts.
  + Updated translations.
* Wed Feb 19 2014 zaitor@opensuse.org
- Update to version 3.11.90:
  + Make the search results show in a GtkPopover.
  + Fix a bug where search result spinner sometimes wouldn't be
    centered.
  + Updated translations.
* Wed Feb  5 2014 dimstar@opensuse.org
- Update to version 3.11.5.1:
  + Fix some compiler warnings.
* Tue Feb  4 2014 dimstar@opensuse.org
- Update to version 3.11.5:
  + Much smoother goto animations.
  + Avoid a redundant zoom-out at end of goto animations by making
    use of new geocode-glib and libchamplain API.
  + Make Maps work against geoclue 2.1.x and latest gtk+.
  + If accuracy area is less than 1, show 'exact' instead of
    '0 km2'.
  + Explicitly specify desired accuracy level to geoclue.
  + Update website URL in AppData file.
  + Make gnome-maps executable a real binary.
  + Update recent added time on re-visits.
  + Fix a compiler warning.
  + Updated translations.
- Add pkgconfig(gobject-introspection-1.0) and pkgcofig(gio-2.0)
  BuildRequires: new dependencies.
* Fri Jan 17 2014 zaitor@opensuse.org
- Update to version 3.11.4.1:
  + Provide completion for search based on recently used search
    results.
* Tue Jan 14 2014 dimstar@opensuse.org
- Update to version 3.11.4:
  + Set saner minimum zoom level on the map view.
  + Updated translations.
* Thu Nov 21 2013 dimstar@opensuse.org
- Update to version 3.11.2:
  + Clearer dconf key descriptions.
  + Use Unicode quotation marks and apostrophes.
  + Updated translations.
* Wed Nov 13 2013 dimstar@opensuse.org
- Update to version 3.10.2 (bnc#849913):
  + Updated translations.
* Mon Sep 23 2013 dimstar@opensuse.org
- Update to version 3.10.0:
  + Updated translations.
* Tue Sep 17 2013 dimstar@opensuse.org
- Update to version 3.9.92:
  + Fix issue of Maps not updating user's location at first launch.
  + Fix the awkward looking and slow goto animation and make it
    linear and fast.
  + Don't point to inexistent directories in gnome-maps script.
  + Mark two forgotten strings for translation.
  + Updated translations.
* Sun Sep 15 2013 dimstar@opensuse.org
- Recommend dbus(org.freedesktop.GeoClue2): having the GeoClue2
  service avaialble allows for geolocation and automatic
  positioning (accuracy depending on available hardware and
  connection).
* Tue Sep  3 2013 dimstar@opensuse.org
- Update to version 3.9.91:
  + Provide an AppData file for GNOME software center.
  + Improved search results popup:
  - Add a scroll window to not fill screen with results.
  - Show place icons when available for user to be able to
    differentiate between results.
  - Show a spinner when search is on going.
  - Show matched part of results in bold fonts.
  + Add a context menu with two options:
  - "What's here?": Finds the name of the place at cursor
    position.
  - "I'm here": Corrects/changes Maps' idea of where user is
    currently.
  + Gracefully handle markup in search results.
  + Fix build against latest gnome-common.
  + Updated translations.
* Fri Aug 23 2013 zaitor@opensuse.org
- Update to version 3.9.90.2:
  + Drop usage of Geoclue library as its going to be dropped in
    Geoclue 1.99.2.
  + Updated translations.
* Tue Aug 20 2013 dimstar@opensuse.org
- Update to version 3.9.90.1:
  + Brown paperbag release for also updating version in
    configure/build.
- Changes from version 3.9.90:
  + Search results are shown in a popup menu rather than as markers
    on the map.
  + Draw window decorations client-side, following the new GNOME3
    trend.
  + The user location button is no longer a toggle.
  + Add buttons and key bindings for zooming in and out.
  + Updated translations.
* Fri Aug  2 2013 cfarrell@suse.com
- License update: GPL-2.0+: As libgd is compiled with the rest of
  the GPL-2.0+ files, the resulting binary is GPL-2.0+ not
  LGPL-2.1.
* Tue May 14 2013 dimstar@opensuse.org
- Initial package, version 3.9.5.
